Bug 247273 - Review Request: coco-coq - An AGI Adventure game
Review Request: coco-coq - An AGI Adventure game
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 11:38 EDT by Jon Ciesla
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 11:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-07-06 11:38:25 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq-0.1-1.fc7.src.rpm
Description: 
Grostesteing is back for troubles: he's kidnapped the Coco Coq's friends
to turn them into monsters. Coco must go inside the deadly base, avoids
traps, free his friends and beat the bad scientist Grostesteing.
Comment 1 Jason Tibbitts 2007-07-06 12:44:36 EDT
Builds fine; rpmlint is clean.

The URL is 404 for me.  It looks like a typo; should probably be
http://membres.lycos.fr/agisite/coco-c.htm

Are you sure you removed something from the included zipfile?  It has the same
size and same contents as the upstream file.

Aside from those, this package is is OK.  Unfortunately I can't approve it as is
 because of the upstream zipfile issue.

? source files match upstream, but I don't think they're supposed to.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is acceptable for content.
* license text not included upstream, but communications with the author 
   clarifying the license are included.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   coco-coq = 0.1-1.fc8
  =
   /bin/bash
   /bin/sh
   hicolor-icon-theme
   nagi
* %check is not present; no test suite upstream.  I tested manually (and 
   promptly fell off a cliff); everything seems to work fine.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* GUI app; desktop file installs cleanly and looks OK.
Comment 2 Jon Ciesla 2007-07-06 12:57:15 EDT
Fixed typo.  Unzipping the source:
[limb@fawkes test]$ unzip cocoe.zip
Archive:  cocoe.zip
  inflating: LOGDIR
 extracting: OBJECT
  inflating: PICDIR
 extracting: SNDDIR
  inflating: VIEWDIR
  inflating: VOL.0
  inflating: WORDS.TOK

Which does not match upstream:
[limb@fawkes upstream]$ unzip cococe.zip
Archive:  cococe.zip
  inflating: agi
  inflating: agi.com
  inflating: AGI.PC
  inflating: AGI.SB
  inflating: AGIDATA.OVL
  inflating: CGA_GRAF.OVL
  inflating: EGA_GRAF.OVL
  inflating: HGC_FONT
  inflating: HGC_GRAF.OVL
  inflating: HGC_OBJS.OVL
  inflating: IBM_OBJS.OVL
  inflating: JR_GRAF.OVL
  inflating: LOGDIR
 extracting: OBJECT
  inflating: PICDIR
 extracting: SNDDIR
  inflating: VG_GRAF.OVL
  inflating: VIEWDIR
  inflating: VOL.0
  inflating: WORDS.TOK

Spec URL: http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq-0.1-2.fc7.src.rpm
Comment 3 Jason Tibbitts 2007-07-06 21:34:02 EDT
I think something must be off somewhere; let me show you the entire transaction:

> wget http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq-0.1-2.fc7.src.rpm
--20:32:38--  http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq-0.1-2.fc7.src.rpm
Resolving zanoni.jcomserv.net... 76.204.165.226
Connecting to zanoni.jcomserv.net|76.204.165.226|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 192023 (188K) [application/x-rpm]
Saving to: `coco-coq-0.1-2.fc7.src.rpm'

100%[==================================>] 192,023     46.8K/s   in 3.9s

20:32:42 (48.0 KB/s) - `coco-coq-0.1-2.fc7.src.rpm' saved [192023/192023]


> rpm -ivh coco-coq-0.1-2.fc7.src.rpm
   1:coco-coq               warning: user limb does not exist - using root
warning: group limb does not exist - using root
warning: user limb does not exist - using root
warning: group limb does not exist - using root
warning: user limb does not exist - using root
warning: group limb does not exist - using root
warning: user limb does not exist - using root
warning: group limb does not exist - using root
warning: user limb does not exist - using root 2%)
warning: group limb does not exist - using root
warning: user limb does not exist - using root
warning: group limb does not exist - using root
########################################### [100%]

> cd coco-coq-0.1

> unzip -l cococe.zip
Archive:  cococe.zip
  Length     Date   Time    Name
 --------    ----   ----    ----
    39424  01-07-88 10:15   agi
     3121  01-07-88 10:15   agi.com
    39424  11-19-87 14:42   AGI.PC
    39424  11-19-87 14:42   AGI.SB
     8192  12-01-87 08:49   AGIDATA.OVL
     1024  12-01-87 08:48   CGA_GRAF.OVL
     1024  12-01-87 08:48   EGA_GRAF.OVL
     3072  01-26-87 15:47   HGC_FONT
     1536  12-01-87 08:48   HGC_GRAF.OVL
     1024  12-01-87 08:48   HGC_OBJS.OVL
      512  12-01-87 08:48   IBM_OBJS.OVL
      512  12-01-87 08:48   JR_GRAF.OVL
      672  03-30-04 21:32   LOGDIR
      171  03-30-04 20:34   OBJECT
      672  03-30-04 21:32   PICDIR
        6  03-30-04 21:32   SNDDIR
      512  12-01-87 08:48   VG_GRAF.OVL
      708  03-30-04 21:32   VIEWDIR
   189380  03-30-04 21:32   VOL.0
     1556  03-30-04 21:29   WORDS.TOK
 --------                   -------
   331966                   20 files

So as you can see, what's in the most recent src.rpm you posted still contains
the DOS bits.
Comment 4 Jon Ciesla 2007-07-06 23:27:49 EDT
That was twisted.  This should fix it:

Spec URL: http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/coco-coq/coco-coq-0.1-3.fc7.src.rpm
Comment 5 Jason Tibbitts 2007-07-07 01:13:00 EDT
Yes, that's better.

APPROVED
Comment 6 Jon Ciesla 2007-07-07 08:27:59 EDT
New Package CVS Request
=======================
Package Name: coco-coq
Short Description: An AGI adventure game
Owners: limb@jcomserv.net
Branches: FC-6 F-7
InitialCC:

Thank you!
Comment 7 Kevin Fenzi 2007-07-08 01:00:53 EDT
cvs done.
Comment 8 Jon Ciesla 2007-07-09 08:33:23 EDT
Imported and build.  Thanks all!
Comment 9 Fedora Update System 2007-07-09 11:46:34 EDT
coco-coq-0.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2007-07-11 11:21:09 EDT
coco-coq-0.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.